<!-- saved from url=(0013)about:internet --> <!-- Disable Microsoft Windows XP Service Pack 2 warning when played back locally -->

<html>
<head>
	<title><%MOVIE NAME%></title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<meta name="Keywords" content="Tanida Demo Builder">
	<meta name="Description" content="Demo Builder is a powerful tool that lets you create professional demonstrations, simulations and tutorials for your software - www.demo-builder.com">

	<script type="text/javascript" src="APIWrapper.js"></script>
</head> 

<body bgcolor="#ffffff" onUnLoad="Finish()"> 

<center>

<script type="text/javascript">
	var begintime =0;
	var endtime =0;
	var finished = false;

	function SetBeginTime (){
		var tmp = new Date();
		begintime = tmp.getTime();
		return begintime;
	};
	//
	function SetEndTime(){
		var tmp = new Date();
		endtime = tmp.getTime();
		return endtime;
	}
	//
	function Pad(AVal, ADigits){	
		var tmp;
		var tmpl;
		var i;
	
		tmp  = new String(AVal);
		tmpl = tmp.length;
	
		if ( tmpl > ADigits){
			tmp = tmp.substr(0,ADigits);
		}
		else{
			for (i=tmpl; i<ADigits; i++){
			tmp = "0" + tmp;
			}
		}
	
		return tmp;
	}

	function FormatTime(atmp){
		var tmp 	= atmp;
		var tmp1	= tmp % 1000;
		var str		= 'S';
		tmp		= Math.round((tmp - tmp1)/1000);
		tmp1	= tmp % 60;
		str		= 'M'+Pad(tmp1,2)+str;//ss
		tmp		= Math.round((tmp - tmp1)/60);
		tmp1	= tmp % 60;
		str		= 'H'+Pad(tmp1,2)+str;//mm
		tmp		= Math.round((tmp - tmp1)/60);
		str		= 'PT'+Pad(tmp1,2)+str;//hh		
		return str;
	}


	function ReportScore(xvar){
	  doSetValue("cmi.score.scaled","1");
          doSetValue("cmi.score.min","0");
          doSetValue("cmi.score.max","1");
	  doSetValue("cmi.success_status","passed");
	  doSetValue("cmi.completion_status","completed");
	  doSetValue("cmi.score.raw","100");
	  SetEndTime();
          doSetValue("cmi.session_time",FormatTime(endtime-begintime));
          doCommit();
	};


	function Finish(){	
		if (finished == false)
		{  
		    doTerminate();
		    finished = true;	
		}
	};


	function movie_DoFSCommand(command, args) { 

	  if (command == "ReportScore") { 
	    ReportScore(args);
	  }
	  if (command == "Finish") { 
	    Finish();
	  }


	}

	doInitialize();
	SetBeginTime ();
</script>


<SCRIPT LANGUAGE="VBScript">
<!-- 
// Catch FS Commands in IE, and pass them to the corresponding JavaScript function.

Sub movie_FSCommand(ByVal command, ByVal args)
    call quiz_DoFSCommand(command, args)
end sub

// -->
</SCRIPT>

	<!-- the comment and script is used to workaround the KB912945 patch -->
	<!--[if gte IE 6]> <comment id="to_be_rewritten"> <![endif]-->
	<OBJECT classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" WIDTH="<%MOVIE WIDTH%>" HEIGHT="<%MOVIE HEIGHT%>" id="movie">
	<PARAM NAME=movie VALUE="<%MOVIE SWF FILENAME%>"> 
	<PARAM NAME=quality VALUE=high>
	<PARAM NAME=allowScriptAccess VALUE=always>
	<PARAM NAME=bgcolor VALUE=#FFFFFF>
	<EMBED src="<%MOVIE SWF FILENAME%>" quality=high bgcolor=#FFFFFF WIDTH="<%MOVIE WIDTH%>" HEIGHT="<%MOVIE HEIGHT%>" NAME="movie" ALIGN="" allowScriptAccess="always" TYPE="application/x-shockwave-flash" PLUGINSPAGE="http://www.macromedia.com/go/getflashplayer"></EMBED>
	</OBJECT>
	</comment><script language="Javascript" src="ieupdate.js"></script>

</center>   

<div id="divEmail" style="visibility:hidden"></div>

</body>

</html>
